local widget = require("widget")

local function createButton(label, x, y, onButtonEvent)
    return  widget.newButton{
        x = x,
        y = y,
        width = 200,
        height = 128,
        shape = "rect",
        label = label,
        fontSize = 50,
        fillColor = {default={ 1, 0.2, 0.5, 0.7 }, over={ 1, 0.2, 0.5, 1 }},
        onEvent = function(event)
            if "ended" == event.phase then
                onButtonEvent(event)
            end
        end
    }
end

local M = require("m_soloud_audio")

local current = display.newText("", display.contentCenterX, display.contentCenterY - 400, native.systemFont, 100)

createButton("solar2d", display.contentCenterX - 200, display.contentCenterY, function()
    current.text = "solar2d"
    M.stop()
    audio.stop()
    local sound1 = audio.loadSound("n1.mp3")
    audio.play(sound1, {loops = -1})
end)
createButton("soloud", display.contentCenterX + 200, display.contentCenterY, function()
    current.text = "soloud"
    audio.stop()
    M.stop()
    local sound1 = M.loadSound("n1.mp3")
    M.play(sound1, {loops = -1})
end)
